# spaRSS
QuickJump languages:  
* [English](#english)  
* [Français](#français)  
* [ελληνικά](#ελληνικά)
* [Português](#português)  
* [Deutsch](#deutsch)

## English
RSS reader with all articles content in app.

Table of Contents
* [Summary](#summary)
* [Features](#features)
* [Why spaRSS ?] (#why-sparss-)
* [How to contribute ?](#how-to-contribute-)
* [Links](#links)

### Summary
spaRSS is a light, modern, totally free (no ads) and opensource project which keeps you inform by fetching your websites/blogs and displaying them in a mobile-optimized way. It is based on the "Flym" RSS reader.  
It DOES NOT synchronize with any online feed reader.

### Features
* easily add new feeds thanks to the Google News or search feature (you can also subscribe to a new one from the browser via the share feature)
* light and dark themes
* offline reading including images and private news
* import/export the feed list from OPML
* retrieve the full text of the feed when the content is truncated
* star your favorite entries
* search into your articles
* filter your feed by keywords or regular expressions
* custom widgets

Feedly users: you can export your feeds to OPML at this address (http://cloud.feedly.com/#opml) and then import them into spaRSS

### Why spaRSS ?
spaRSS is a fork of Flym. It uses the same license (GPLv3) and has quite the same behavior. So why I created this fork ?  
https://github.com/FredJul , the official maintainer and developer of Flym has decided to not maintain his app as much as before. (see https://github.com/FredJul/Flym/blob/master/README.md ).  
However, as Flym is a great app, and I wanted to add some features (like the Authentication Cookie, see https://github.com/FredJul/Flym/pull/296 ), I decided, with the OK of FredJul to start the fork.  
Everyone, included FredJul is free to contribute or to use the spaRSS code for his own app, if it's GPLv3 compliant.  
So if he decided to re-start on his app, I'll be very happy to help him to push all the modifications included in spaRSS into Flym.

### How to contribute ?
If you have any idea to improve spaRSS, feel free to add it [here](https://github.com/Etuldan/spaRSS/issues).  
You can also help me for current existing ones on which  I need help [here](https://github.com/Etuldan/spaRSS/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22).  
Want to help translating? Join us at [Weblate](https://hosted.weblate.org/projects/sparss/strings/)!

### Links
GitHub project: https://github.com/Etuldan/spaRSS  
PlayStore: https://play.google.com/store/apps/details?id=net.etuldan.sparss  
F-Droid: https://f-droid.org/repository/browse/?fdid=net.etuldan.sparss.floss  
spaRSS is a fork of [Flym](https://github.com/FredJul/Flym)


## Français
Lecteur de flux RSS récupérant périodiquement le contenu des articles.

Table des matières
* [Résumé](#résumé)
* [Fonctionnalités](#fonctionnalités)
* [Pourquoi spaRSS ?](#pourquoi-sparss-)
* [Comment aider ?](#comment-aider-)
* [Liens](#liens)

### Résumé
spaRSS est un lecteur de flux RSS qui permet la lecture d'article complet sans avoir à ouvrir un navigateur externe.  
Tout le contenu de vos sites d'actualités préférés sera disponible directement dans l'application, sans avoir besoin d'être connecté à Internet au moment de la consultation.  
Il ne se synchronise pas avec les lecteurs RSS en ligne.

### Fonctionnalités
* ajout rapide de flux via GoogleNews et la fonctionnalité de recherche
* ajout de flux par le menu partager des navigateurs
* thèmes foncé et clair
* lecteur hors-ligne des articles complets, avec images, y compris pour les site nécessitant un compte utilisateur.
* import et export de la liste des flux au format OPLM
* indiquez en favoris vos articles préférés
* recherche parmi les actualités
* filtre par mot clé ou expression régulière
* widget

Pour les utilisateurs de Feedly, l'export de vos flux RSS est possible en visitant : http://cloud.feedly.com/#opml

### Pourquoi spaRSS ?
spaRSS est un fork de Flym. La licence utilisée (GPLv3) est la même pour les deux applications, et le fonctionnement général de Flym et spaRSS est pratiquement le même. Donc, pourquoi j'ai décider de créer un fork ?  
https://github.com/FredJul , le développeur et mainteneur officiel de Flym a décidé, par manque de temps, d’arrêter (temporairement ?) le développement de Flym. (cf https://github.com/FredJul/Flym/blob/master/README.md ).  
Flym étant une application très pratique, et pour laquelle je voulais ajouter/proposer des nouvelles fonctionnalités (comme l'authentification par cookie, cf https://github.com/FredJul/Flym/pull/296 ), j'ai décidé, avec l'accord de FredJul de démarrer le fork.  
Tout le monde, et en particulier FredJul est libre de proposer et de contribuer à spaRSS, et d'utiliser le code de spaRSS dans sa propre application, tant que la GPLv3 est respectée.  
Donc, si FredJul décide de re-travailler sur Flym, je l'aiderai volontiers à intégrer dans Flym, si il le veut, les modifications intégrées dans spaRSS.

### Comment Aider ?
Vous pouvez proposer des idées [ici](https://github.com/Etuldan/spaRSS/issues) ou consulter celles pour lesquelles j'ai besoin d'aide ou de ressources [là](https://github.com/Etuldan/spaRSS/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22).
Vous voulez aider à traduire spaRSS ? Contribuez sur [Weblate](https://hosted.weblate.org/projects/sparss/strings/) !

### Liens
Projet GitHub : https://github.com/Etuldan/spaRSS  
PlayStore : https://play.google.com/store/apps/details?id=net.etuldan.sparss  
F-Droid : https://f-droid.org/repository/browse/?fdid=net.etuldan.sparss.floss  
spaRSS est un fork de [Flym](https://github.com/FredJul/Flym)


## ελληνικά
Αναγνώστης ροών ειδήσεων (RSS) με αποθήκευση του περιεχόμενου των άρθρων.

Ευρετήριο
* [Περίληψη](#Περίληψη)
* [Χαρακτηριστικά](#Χαρακτηριστικά)
* [Πως να συνεισφέρω](#Πως-να-συνεισφέρω)
* [Συνδέσεις](#Συνδέσεις)

### Περίληψη
Το **spaRSS** είναι ένα έργο ελεύθερου λογισμικού, ελαφρύ, μοντέρνο, εντελώς δωρεάν, χωρίς διαφημίσεις, που σας κρατά ενήμερο κατεβάζοντας νέα από τις ιστοσελίδες και τα ιστολόγια των προτιμήσεων σας και τα προβάλει με βελτιστοποιημένο τρόπο στην android συσκευή σας. Ο κώδικας του είναι βασισμένος στον κώδικα του αναγνώστη ροών ειδήσεων "Flym".
**Δεν συγχρονίζεται** με όλα τα RSS.

### Χαρακτηριστικά
* Εύκολος τρόπος να προσθέσετε νέες πηγές ειδήσεων χάρη στο Google News και την λειτουργία αναζήτησης (μπορείτε επίσης να εγγραφείτε σε μια ροή από τον browser μέσω της λειτουργίας διαμοιρασμού ("share"))
* Φωτεινή και σκοτεινή προβολή (themes)
* Δυνατότητα ανάγνωσης για όταν είσαστε χωρίς σύνδεση, συμπεριλαμβανομένων και των εικόνων
* Εισαγωγή / Εξαγωγή της λίστας των ροών από και σε OPML μορφή αρχείου
* Κατέβασμα του πλήρες κείμενου των άρθρων όταν είναι σε περιορισμένη μορφή
* Σήμανση των αγαπημένων σας άρθρων
* Ανεύρεση μέσα στα άρθρα
* Φιλτράρισμα των ροών σας με λέξεις-κλειδιά ή "regular expressions"
* Παραμετροποιήσιμα widgets

Για τους χρήστες του Feedly: Μπορείτε να εξάγετε την λίστα των ροών σας σε OPML - από αυτή την διεύθυνση (http://cloud.feedly.com/#opml) - και να τα εισάγετε στο spaRSS

### Πως να συνεισφέρω
Αν έχετε οποιαδήποτε πρόταση για τη βελτίωση του spaRSS, παρακαλώ να τη προσθέσετε [εδώ](https://github.com/Etuldan/spaRSS/issues).  
Μπορείτε επίσης να με βοηθήσετε στα θέματα [αυτά](https://github.com/Etuldan/spaRSS/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22).

### Συνδέσεις
GitHub project: https://github.com/Etuldan/spaRSS  
PlayStore: https://play.google.com/store/apps/details?id=net.etuldan.sparss  
F-Droid: https://f-droid.org/repository/browse/?fdid=net.etuldan.sparss.floss  
Το spaRSS είναι ένα "fork" του [Flym](https://github.com/FredJul/Flym)

## Português
Leitor de RSS que recupera periodicamente o conteúdo de artigos.

Conteúdo
* [Sumário](#sumário)
* [Funcionalidades](#funcionalidades)
* [Como ajudar?](#como-ajudar)
* [Endereços](#endereços)

### Sumário
O spaRSS é um leitor de feeds RSS que permite a completa leitura de artigos sem a necessidade de abrir um navegador externo.
Todo o conteúdo de seus sites de notícias favoritos estarão disponíveis diretamente no aplicativo, sem que precise estar conectado/on-line no momento da consulta.  
Este aplicativo NÃO sincroniza com leitores de RSS on-line.

### Funcionalidades
* adicione facilmente novos feeds a partir do Google News ou do recurso de busca de feeds
* adicione feeds a partir da funcionalidade de compartilhamento dos navegadores web
* tema claro e escuro
* leitura desconectada e completa de artigos, incluindo imagens e websites privados
* importa e exporta lista de feeds no formato OPML
* marque artigos favoritos
* busque em artigos
* filtre artigos por palavra-chave ou expressão regular
* widgets

Usuário de Feedly: visite [este endereço](http://cloud.feedly.com/#opml) para exportar seus feeds para OPML e importá-los no spaRSS

### Como ajudar?
Se você tem uma sugestão para melhorar o spaRSS fique à vontade para [adicioná-la aqui](https://github.com/Etuldan/spaRSS/issues).  
Você também pode me ajudar com as sugestões já encaminhadas [clicando aqui](https://github.com/Etuldan/spaRSS/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22).


### Endereços
Projeto no GitHub : https://github.com/Etuldan/spaRSS  
PlayStore : https://play.google.com/store/apps/details?id=net.etuldan.sparss  
F-Droid : https://f-droid.org/repository/browse/?fdid=net.etuldan.sparss.floss  
spaRSS é um fork de [Flym](https://github.com/FredJul/Flym)


## Deutsch
RSS-Reader, welcher den gesamten Artikelinhalt innerhalb der App darstellen kann.

Inhaltsverzeichnis
* [Zusammenfassung](#zusammenfassung)
* [Funktionen](#funktionen)
* [Zum Projekt beitragen](#zum-projekt-beitragen)
* [Verweise](#verweise)

### Zusammenfassung
spaRSS ist ein schlankes, modernes, komplett freies (keine Werbung) Opensource Projekt, welches dich informiert hält, indem es deine Webseiten/Blogs abruft und diese für Mobilgeräte optimiert darstellt. Das Projekt basiert auf dem "Flym" RSS-Reader.

Es findet KEINE SYNCHRONISATION mit einem Online-Feedreader statt!

### Funktionen
* Auf einfache Weise neue Feeds hinzufügen dank der Google News bzw. Suchfunktion (Es ist auch möglich über die Teilen-Funktion des Browsers einen neuen Feed zu abonnieren.)
* Helle und dunkle Stile (Themes)
* Offline Lesefunktion inklusive Bilder und privater Nachrichten
* Import/Export der Feed-Liste via OPML
* Den kompletten Text abrufen, auch wenn der Feed-Inhalt gekürzt ist
* Beiträge können als Favoriten markiert werden
* Artikel durchsuchbar
* Feeds mittels Keyword oder regulärem Ausdruck filtern
* Anpassbare Widgets

An Feedly Nutzer: Es besteht die Möglichkeit Feeds im OPML-Format auf dieser Webseite (http://cloud.feedly.com/#opml) zu exportieren und anschließend in spaRSS zu importieren.

### Zum Projekt beitragen
Wenn du eine Idee zur Verbesserung von spaRSS hast, dann zögere nicht diese [hier](https://github.com/Etuldan/spaRSS/issues) hinzuzufügen.  
Du kannst mich auch bei bereits bestehenden Punkten unterstützen, bei denen ich Hilfe benötige. Schau dafür einfach mal  [hier](https://github.com/Etuldan/spaRSS/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22) vorbei.

### Verweise
GitHub Projekt: https://github.com/Etuldan/spaRSS  
PlayStore: https://play.google.com/store/apps/details?id=net.etuldan.sparss  
F-Droid: https://f-droid.org/repository/browse/?fdid=net.etuldan.sparss.floss  
spaRSS ist ein Fork von [Flym](https://github.com/FredJul/Flym)
